Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class AbstractFlowConstructBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>

Direct Known Subclasses:
  AbstractFlowConstructWithSingleInboundEndpointBuilder

    public abstract class AbstractFlowConstructBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

extends Object

Field Summary
`protected MessagingExceptionHandler` | `exceptionListener`
`protected MessageSource` | `messageSource`
`protected String` | `name`

Constructor Summary
`AbstractFlowConstructBuilder()`

Method Summary
`protected void` | `addExceptionListener(AbstractFlowConstruct flowConstruct)`
`F` | `build(MuleContext muleContext)`
`F` | `buildAndRegister(MuleContext muleContext)`
`protected abstract F` | `buildFlowConstruct(MuleContext muleContext)`
`T` | `exceptionStrategy(MessagingExceptionHandler exceptionListener)`
`T` | `messageSource(MessageSource messageSource)`
`T` | `name(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### messageSource

    protected MessageSource messageSource

### exceptionListener

    protected MessagingExceptionHandler exceptionListener

Constructor Detail

### AbstractFlowConstructBuilder

    public AbstractFlowConstructBuilder()

Method Detail

### name

    public T name(String name)

### messageSource

    public T messageSource(MessageSource messageSource)

### exceptionStrategy

    public T exceptionStrategy(MessagingExceptionHandler exceptionListener)

### build

    public F build(MuleContext muleContext)
                                          throws MuleException

  Throws:
    `MuleException`

### buildAndRegister

    public F buildAndRegister(MuleContext muleContext)
                                                     throws MuleException

  Throws:
    `MuleException`

### buildFlowConstruct

    protected abstract F buildFlowConstruct(MuleContext muleContext)
                                                                   throws MuleException

  Throws:
    `MuleException`

### addExceptionListener

    protected void addExceptionListener(AbstractFlowConstruct flowConstruct)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.